/**
 * @deprecated use MLv2
 */
export class GuiQueryEditor extends Component<any, any, any> {
    static propTypes: {
        isShowingDataReference: PropTypes.Validator<boolean>;
        setDatasetQuery: PropTypes.Validator<(...args: any[]) => any>;
        features: PropTypes.Requireable<object>;
    };
    static defaultProps: {
        features: {
            filter: boolean;
            breakout: boolean;
            sort: boolean;
            limit: boolean;
        };
    };
    constructor(props: any);
    guiBuilder: import("react").RefObject<any>;
    state: {
        expanded: boolean;
        isFilterPopoverOpen: boolean;
    };
    renderAdd(text: any, onClick: any, targetRefName: any): import("react/jsx-runtime").JSX.Element;
    renderAddIcon(targetRefName: any): import("react/jsx-runtime").JSX.Element;
    renderFilters(): import("react/jsx-runtime").JSX.Element | undefined;
    renderDataSection(): import("react/jsx-runtime").JSX.Element;
    renderFilterSection(): import("react/jsx-runtime").JSX.Element | undefined;
    componentDidUpdate(): void;
    render(): import("react/jsx-runtime").JSX.Element;
}
import { Component } from "react";
import PropTypes from "prop-types";
